<template>
  <fusioncharts
    :type="type"
    :width="width"
    :height="height"
    :dataFormat="dataFormat"
    :dataSource="{chart, data, dataset, categories}"
  ></fusioncharts>
</template>

<script>

  export default {
    name: "FuseChart",
    props: {
      width: {
        type: String,
        default: '100%',
      },
      height: {
        type: String,
        default: '400',
      },
      type: {
        type: String,
        default: 'column2d',
      },
      dataFormat: {
        type: String,
        default: 'json',
      },
      chart: {
        type: Object,
        required: true,
      },
      data: {
        type: Array,
      },
      categories: {
        type: Array,
      },
      dataset: {
        type: Array,
      },
    },

    data() {
      return {}
    },

  }
</script>

<style scoped>

</style>
